Skip to content

Wallet API

Check your project wallet balance.

Base path: /api/wallet

Get Balance

GET /api/wallet/balance

Returns your project's current available balance and frozen (held) balance.

The frozen balance represents funds reserved for pending trades that haven't completed yet.

bash
curl -X GET "https://market.vpsbot.io/api/wallet/balance" \
  -H "x-api-key: YOUR_API_KEY"
js
const { data } = await client.get('/wallet/balance');
console.log(`Available: ${data.data.balance}`);
console.log(`Frozen: ${data.data.frozen_balance}`);

Example Response

json
{
  "success": true,
  "data": {
    "balance": 50000,
    "frozen_balance": 1245
  }
}

Balance Object Schema

FieldTypeDescription
balancenumberAvailable balance (1$ = 1000)
frozen_balancenumberBalance frozen for pending trades (1$ = 1000)

TIP

All prices and balances use a 1$ = 1000 scale. Divide by 1000 to get the dollar value.

Need help? Contact our support team